Name:           robust-http-client
Version:        1.2
Release:        2%{?dist}
Summary:        Small Java library that performs HTTP download with automatic retry

License:        MIT
URL:            https://github.com/kohsuke/robust-http-client
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt

BuildRequires:  maven-local

BuildArch:      noarch

%description
robust-http-client is a small Java library which can be used
for performing HTTP downloads with automatic retry.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains API javadoc documentation for %{name}


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# We don't have this extension
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-gitsite']]"

%build
# Tests are disabled because they try to download something from the network
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial package

